import { Component } from "@angular/core";

import { cLog, Message } from "jalhyd";

import { InternationalisationService } from "../../services/internationalisation/internationalisation.service";

@Component({
    selector: "log",
    templateUrl: "./log.component.html",
    styles: [`
        .hyd_log {
            border : 1px solid black;
            margin : 1.8em 0;
            padding-top : 1.3em;
            border-radius: 10px;
        }
        .titre {
            background-color: #00b0ff;
            border: 1px solid black;
            border-radius: 5px;
            float: left;
            font-size: 1.15em;
            font-weight: bold;
            margin-bottom: -1em;
            margin-left: 0.5em;
            margin-top: -2.3em;
            padding: 0.2em 0.5em;
        }
    `]
})
export class LogComponent {
    /**
     * journal
     */
    private _log: cLog;

    constructor(
        private intlService: InternationalisationService,
    ) { }

    private get uitextTitreJournal() {
        return this.intlService.localizeText("INFO_REMOUSRESULTS_TITREJOURNAL");
    }

    private get hasEntries(): boolean {
        return this._log != undefined && this._log.messages.length != 0;
    }

    private get messages(): Message[] {
        return this._log.messages;
    }

    public set log(log: cLog) {
        this._log = log;
    }
}
